#module  strpterm  "V1.0"

/*|++STRPTERM.C

 Facility: 
	Fermilab Accelerator Control System - VAX/VMS ACNET
	Fermilab VAX-11 C Extension Library.

 Abstract:
	VAX-11 C routine to return a pointer to the NUL character which
	terminates the string.

 Environment:
	FERMICLIB routine.
|--*/
/*
 Modification History:
 Author: F. Nagy

 V1.0	07-Jan-84  FJN	Created out of ENDTAPE.C for FERMICLIB
*/

/******************
 * Include Files: *
 ******************/
#include  vaxtypes			/* VAX-11 C Type extensions */


/*+ STRPTERM
 Return pointer to the NUL terminator of the input string.

    char *strpterm( string )
    char *string;
 -or-
  sptr.wa.v = strpterm( string.rt.ra )

 Returns a character pointer to the NUL character terminating the
 input string.
-*/

char *strpterm( string )
char *string;				/* Input string pointer */
{

while (*string++ != '\0');		/* Slide pointer over non-NUL chars. */

return --string;			/* Return pointer to NUL character */
}
