/*+ DEVDEF
 The following bits define the device characteristics for
 both the UCBs and RMS.
*/
/* Extracted from V4.4 SYS$LIBRARY:STARLET.REQ on  10-Jun-1986 */

#define DEV$M_REC	0X1
#define DEV$M_CCL	0X2
#define DEV$M_TRM	0X4
#define DEV$M_DIR	0X8
#define DEV$M_SDI	0X10
#define DEV$M_SQD	0X20
#define DEV$M_SPL	0X40
#define DEV$M_OPR	0X80
#define DEV$M_RCT	0X100
#define DEV$M_NET	0X2000
#define DEV$M_FOD	0X4000
#define DEV$M_DUA	0X8000
#define DEV$M_SHR	0X10000
#define DEV$M_GEN	0X20000
#define DEV$M_AVL	0X40000
#define DEV$M_MNT	0X80000
#define DEV$M_MBX	0X100000
#define DEV$M_DMT	0X200000
#define DEV$M_ELG	0X400000
#define DEV$M_ALL	0X800000
#define DEV$M_FOR	0X01000000
#define DEV$M_SWL	0X02000000
#define DEV$M_IDV	0X04000000
#define DEV$M_ODV	0X08000000
#define DEV$M_RND	0X10000000
#define DEV$M_RTM	0X20000000
#define DEV$M_RCK	0X40000000
#define DEV$M_WCK	0X80000000
#define DEV$M_CLU	0X1
#define DEV$M_DET	0X2
#define DEV$M_RTT	0X4
#define DEV$M_CDP	0X8
#define DEV$M_2P	0X10
#define DEV$M_MSCP	0X20
#define DEV$M_SSM	0X40
#define DEV$M_SRV	0X80
#define DEV$M_RED	0X100
#define DEV$M_NNM	0X200
#define DEV$M_WBC	0X400
#define DEV$M_WTC	0X800
#define DEV$M_HOC	0X1000

#define DEV$S_DEVDEF	4

#define DEV$V_REC	0	/* device record oriented */
#define DEV$V_CCL	1	/* carriage control device */
#define DEV$V_TRM	2	/* device is a terminal */
#define DEV$V_DIR	3	/* device is directory structured */
#define DEV$V_SDI	4	/* device is single directory structured */
#define DEV$V_SQD	5	/* sequential block-oriented device (i.e., magtape) */
#define DEV$V_SPL	6	/* device being spooled */
#define DEV$V_OPR	7	/* device is an operator */
#define DEV$V_RCT	8	/* disk contains rct (dec standard 166 disk) */
#define DEV$V_NET	13	/* network device */
#define DEV$V_FOD	14	/* files-oriented device (i.e., disk and mt) */
#define DEV$V_DUA	15	/* device is dual ported */
#define DEV$V_SHR	16	/* device shareable */
#define DEV$V_GEN	17	/* device is a generic device */
#define DEV$V_AVL	18	/* device available for use */
#define DEV$V_MNT	19	/* device is mounted */
#define DEV$V_MBX	20	/* device is a mailbox */
#define DEV$V_DMT	21	/* device marked for dismount */
#define DEV$V_ELG	22	/* device has error logging enabled */
#define DEV$V_ALL	23	/* device is allocated */
#define DEV$V_FOR	24	/* device is mounted foreign (i.e., non-file structured) */
#define DEV$V_SWL	25	/* device is software write locked */
#define DEV$V_IDV	26	/* device capable of providing input */
#define DEV$V_ODV	27	/* device capable of providing output */
#define DEV$V_RND	28	/* device allows random access */
#define DEV$V_RTM	29	/* device is realtime in nature */
#define DEV$V_RCK	30	/* device has read checking enabled */
#define DEV$V_WCK	31	/* device has write checking enabled */
#define DEV$V_CLU	0	/* device is available cluster-wide */
#define DEV$V_DET	1	/* device is detached terminal */
#define DEV$V_RTT	2	/* device has remote terminal ucb extension */
#define DEV$V_CDP	3	/* dual path device with 2 ucbs */
#define DEV$V_2P	4	/* two paths are known to this device */
#define DEV$V_MSCP	5	/* device accessed using mscp (disk or tape) */
#define DEV$V_SSM	6	/* device is a shadow set member */
#define DEV$V_SRV	7	/* device is served via the mscp server */
#define DEV$V_RED	8	/* device is redirected terminal */
#define DEV$V_NNM	9	/* device has "node$" prefix */
#define DEV$V_WBC	10	/* device supports write-back caching */
#define DEV$V_WTC	11	/* device supports write-through caching */
#define DEV$V_HOC	12	/* device supports host caching */
 
