/*+ LKIDEF
 Get Lock Information ($GETLKI) Data Identifier Definitions
*/
/* Extracted from V4.4 SYS$LIBRARY:STARLET.REQ on  10-Jun-1986 */

#define LKI$K_LENGTH		24	/* length of list block */
#define LKI$C_LENGTH		24	/* length of list block */
#define LKI$S_LKIDEF		24

struct lkidef {
    unsigned long lki$l_lockid;		/* lock id */
    unsigned long lki$l_pid;		/* process id */
    unsigned long lki$l_sysid;		/* system id (rsb) */
    unsigned char lki$b_rqmode;		/* request mode */
    unsigned char lki$b_grmode;		/* granted mode */
    unsigned char lki$b_queue;		/* lock queue */
    unsigned long lki$l_remlkid;	/* remote lock id */
    unsigned long lki$l_remsysid;	/* remote system id (lkb) */
    };

#define LKI$S_NAMSPACE	8
struct lki_namespace {
    unsigned short lki$w_group;		/* group of owner uic */
    unsigned char lki$b_rmod;		/* access mode of request */
    unsigned char lki$b_status;		/* status of resource */
    unsigned char lki$r_status_bits[4];	
    };
#define LKI$V_SYSNAM		31	/* system wide rsb */
#define LKI$M_SYSNAM	0X80000000

#define LKI$S_STATEF		3
struct lki_statef {
    unsigned char lki$b_state_rqmode;	/* request mode */
    unsigned char lki$b_state_grmode;	/* granted mode */
    unsigned char lki$b_state_queue;	/* lock state code */
    };

/*
 LOCK STATE CODE VALUES
*/
#define LKI$C_GRANTED	1	/* granted */
#define LKI$C_CONVERT	0	/* conversion */
#define LKI$C_WAITING	(-1)	/* waiting */
#define LKI$C_RETRY	(-2)	/* retry request */
#define LKI$C_SCSWAIT	(-3)	/* scs wait */
#define LKI$C_RSPNOTQED	(-4)	/* response not queued */
#define LKI$C_RSPQUEUED	(-5)	/* response queued */
#define LKI$C_RSPGRANTD	(-6)	/* response granted */
#define LKI$C_RSPDOLOCL	(-7)	/* response do locally */
#define LKI$C_RSPRESEND	(-8)	/* response resend */
/*
 DEFINE TABLE NUMBERS
 STRUCTURE CODES MUST START AT 1
*/
#define LKI$C_LKBTYPE	1	/* item in lkb */
#define LKI$C_RSBTYPE	2	/* item in rsb */
#define LKI$C_LISTEND	0	/* define itmlst terminator */
/*
 ITEM IDENTIFIERS FOR LKB
*/
#define LKI$_PID	256	/* process id */
#define LKI$_STATE	257	/* current lock state */
#define LKI$_PARENT	258	/* id of parent lock */
#define LKI$_LCKREFCNT	259	/* sub-lock reference count */
#define LKI$_LOCKID	260	/* lock id */
#define LKI$_REMLKID	261	/* remote lock id */
#define LKI$_LASTLKB	262	/* max index in lkb table */
/*
 ITEM IDENTIFIERS FOR RSB
*/
#define LKI$_NAMSPACE	512	/* resource name space */
#define LKI$_RESNAM	513	/* resource name */
#define LKI$_RSBREFCNT	514	/* sub-resource reference count */
#define LKI$_VALBLK	515	/* value block */
#define LKI$_SYSTEM	516	/* system id of system with resource */
#define LKI$_LCKCOUNT	517	/* count of locks on resource */
#define LKI$_BLOCKEDBY	518	/* list of locks blocked by current lock */
#define LKI$_BLOCKING	519	/* list of locks blocking current lock */
#define LKI$_LOCKS	520	/* list of all locks on resource */
#define LKI$_LASTRSB	521	/* max index in rsb */
 
