/*+ MNTDEF
 Flag bits for the $MOUNT system service.
*/
/* Extracted from V4.4 SYS$LIBRARY:STARLET.REQ on  10-Jun-1986 */

#define MNT$M_FOREIGN		0X1
#define MNT$M_GROUP		0X2
#define MNT$M_NOASSIST		0X4
#define MNT$M_NODISKQ		0X8
#define MNT$M_NOHDR3		0X10
#define MNT$M_NOLABEL		0X20
#define MNT$M_NOWRITE		0X40
#define MNT$M_OVR_ACCESS	0X80
#define MNT$M_OVR_EXP		0X100
#define MNT$M_OVR_IDENT		0X200
#define MNT$M_OVR_SETID		0X400
#define MNT$M_READCHECK		0X800
#define MNT$M_SHARE		0X1000
#define MNT$M_MESSAGE		0X2000
#define MNT$M_SYSTEM		0X4000
#define MNT$M_WRITECHECK	0X8000
#define MNT$M_WRITETHRU		0X10000
#define MNT$M_NOCACHE		0X20000
#define MNT$M_OVR_LOCK		0X40000
#define MNT$M_NOMNTVER		0X80000
#define MNT$M_NOUNLOAD		0X100000
#define MNT$M_TAPE_DATA_WRITE	0X200000
#define MNT$M_NOCOPY		0X400000
#define MNT$M_NOAUTO		0X800000
#define MNT$M_INIT_ALL		0X01000000
#define MNT$M_INIT_CONT		0X02000000
#define MNT$M_OVR_VOLO		0X04000000
#define MNT$M_INTERCHG		0X08000000
#define MNT$M_CLUSTER		0X10000000
#define MNT$M_NOREBUILD		0X20000000
#define MNT$M_OVR_SHAMEM	0X40000000
/*
 Item codes for mount parameters.
*/
#define MNT$_DEVNAM		1	/* device name */
#define MNT$_VOLNAM		2	/* volume name */
#define MNT$_LOGNAM		3	/* logical name */
#define MNT$_FLAGS		4	/* mount flags */
#define MNT$_ACCESSED		5	/* accessed value */
#define MNT$_PROCESSOR		6	/* processor name */
#define MNT$_VOLSET		7	/* volume set name */
#define MNT$_BLOCKSIZE		8	/* blocksize value */
#define MNT$_DENSITY		9	/* tape density value */
#define MNT$_EXTENT		10	/* number of extent cache entries */
#define MNT$_FILEID		11	/* file id cache size */
#define MNT$_LIMIT		12	/* extent cache limit */
#define MNT$_OWNER		13	/* volume owner uic */
#define MNT$_VPROT		14	/* volume protection */
#define MNT$_QUOTA		15	/* quota cache size */
#define MNT$_RECORDSIZ		16	/* record size value */
#define MNT$_WINDOW		17	/* number of windows */
#define MNT$_EXTENSION		18	/* default file extension */
#define MNT$_VISUAL_ID		19	/* visual identification */
#define MNT$_COMMENT		20	/* user comment */
#define MNT$_UNUSED1		21	/* spare (was used for now obsolete journaling-related items) */
#define MNT$_UNUSED2		22	/* spare (was used for now obsolete journaling-related items) */
#define MNT$_UNUSED3		23	/* spare (was used for now obsolete journaling-related items) */
#define MNT$_SHACOPY_BUF	24	/* shadow copy buffer */
#define MNT$_SHANAM		25	/* shadow set virtual unit name */
#define MNT$_SHAMEM		26	/* shadow set member unit name */
#define MNT$_SHAMEM_MGCOPY	27	/* shadow set member unit name (merge copy) */
#define MNT$_SHAMEM_COPY	28	/* shadow set member unit name (full copy) */
#define MNT$_PRFD_PATH		29	/* preferred dsa path */

#define MNT$S_MNTDEF		4
#define MNT$V_FOREIGN		0	/* foreign option selected */
#define MNT$V_GROUP		1	/* group option selected */
#define MNT$V_NOASSIST		2	/* noassist option selected */
#define MNT$V_NODISKQ		3	/* nodiskq option selected */
#define MNT$V_NOHDR3		4	/* nohdr3 option selected */
#define MNT$V_NOLABEL		5	/* nolabel option selected */
#define MNT$V_NOWRITE		6	/* nowrite option selected */
#define MNT$V_OVR_ACCESS	7	/* override accessiblity option selected */
#define MNT$V_OVR_EXP		8	/* override expiraton option selected */
#define MNT$V_OVR_IDENT		9	/* override volume label */
#define MNT$V_OVR_SETID		10	/* override volume set ident option selectied */
#define MNT$V_READCHECK		11	/* readcheck option selected */
#define MNT$V_SHARE		12	/* share option selected */
#define MNT$V_MESSAGE		13	/* allow $mount to print messages */
#define MNT$V_SYSTEM		14	/* system option selected */
#define MNT$V_WRITECHECK	15	/* writecheck option selected */
#define MNT$V_WRITETHRU		16	/* writethru option selected */
#define MNT$V_NOCACHE		17	/* turn off all caching */
#define MNT$V_OVR_LOCK		18	/* override automatic write-lock */
#define MNT$V_NOMNTVER		19	/* disable mount verification */
#define MNT$V_NOUNLOAD		20	/* do not unload volume at dismount */
#define MNT$V_TAPE_DATA_WRITE	21	/* enable write-back cache on tape */
#define MNT$V_NOCOPY		22	/* do not allow shadow copy operation */
#define MNT$V_NOAUTO		23	/* do not set the mtaacp into avr and avl mode */
#define MNT$V_INIT_ALL		24	/* initialize all volumes in set before writing */
#define MNT$V_INIT_CONT		25	/* initialize continuation volumes before writing */
#define MNT$V_OVR_VOLO		26	/* override vol1 volume identifier field */
#define MNT$V_INTERCHG		27	/* vol for interchg no vms specific info written to tape */
#define MNT$V_CLUSTER		28	/* cluster-wide mount option selected */
#define MNT$V_NOREBUILD		29	/* do not rebuild volume */
#define MNT$V_OVR_SHAMEM	30	/* override shadow membership restriction */
