/*+ SYIDEF
 Get System Information ($GETSYI) Data Identifier Definitions
*/
/* Extracted from V4.4 SYS$LIBRARY:STARLET.REQ on  10-Jun-1986 */
#define SYI$C_EXETYPE		1	/* executive cells */
#define SYI$C_FLDTYPE		2	/* sub-field data */
#define SYI$C_RSDTYPE		3	/* reduced system data */
/*
 The following item-codes are for executive data cells.
 Processor registers are a special case of this type.
 Some EXE-type cells have frequently used sub-fields,
 which have item-codes in the FLD section. (after this one)
*/
#define SYI$_VERSION		4096	/* vms version number */
#define SYI$_SID		4097	/* system id register */
#define SYI$_PFCDEFAULT		4098	/* default page fault cluster size */
#define SYI$_PAGTBLPFC		4099	/* default page table page fault cluster */
#define SYI$_SYSPFC		4100	/* page fault cluster for system paging */
#define SYI$_KFILSTCNT		4101	/* number of known file lists */
#define SYI$_GBLSECTIONS	4102	/* global section count */
#define SYI$_GBLPAGES		4103	/* global page count */
#define SYI$_GBLPAGFIL		4104	/* global page page file page limit */
#define SYI$_MAXPROCESSCNT	4105	/* maximum process count */
#define SYI$_PIXSCAN		4106	/* process scan count */
#define SYI$_PROCSECTCNT	4107	/* process section count */
#define SYI$_MINWSCNT		4108	/* minimum working set size */
#define SYI$_PAGFILCNT		4109	/* number of paging files */
#define SYI$_SWPFILCNT		4110	/* number of swap files */
#define SYI$_SYSMWCNT		4111	/* system working set count */
#define SYI$_INTSTKPAGES	4112	/* interrupt stack size */
#define SYI$_DLCKEXTRASTK	4113	/* extra int stack for deadlock searches */
#define SYI$_BALSETCNT		4114	/* balance set count */
#define SYI$_IRPCOUNT		4115	/* count of i/o packets */
#define SYI$_IRPCOUNTV		4116	/* limit of extension of irp list */
#define SYI$_WSMAX		4117	/* max size of process working set */
#define SYI$_NPAGEDYN		4118	/* non-paged dynamic pool */
#define SYI$_NPAGEVIR		4119	/* limit of extension of above */
#define SYI$_PAGEDYN		4120	/* paged dynamic pool */
#define SYI$_VIRTUALPAGECNT	4121	/* max virtual page count */
#define SYI$_SPTREQ		4122	/* requested spt extension */
#define SYI$_EXUSRSTK		4123	/* extra user stack provided */
#define SYI$_LRPCOUNT		4124	/* number of large request packets */
#define SYI$_LRPCOUNTV		4125	/* limit of extension of lrp list */
#define SYI$_LRPSIZE		4126	/* size of large request packet */
#define SYI$_LRPMIN		4127	/* min alloc request for lrps */
#define SYI$_SRPCOUNT		4128	/* number of small request packets */
#define SYI$_SRPCOUNTV		4129	/* limit of extension of srp list */
#define SYI$_SRPSIZE		4130	/* size of small request packet */
#define SYI$_SRPMIN		4131	/* min alloc request for srps */
#define SYI$_CHANNELCNT		4132	/* number of permanent i/o channels */
#define SYI$_PIOPAGES		4133	/* process i/o pages */
#define SYI$_CTLPAGES		4134	/* control region impure pages */
#define SYI$_CTLIMGLIM		4135	/* limit on use of proc alloc region */
#define SYI$_IMGIOCNT		4136	/* default image i/o address space */
#define SYI$_QUANTUM		4137	/* process quantum */
#define SYI$_MPW_WRTCLUSTER	4138	/* page write cluster factor */
#define SYI$_MPW_HILIMIT	4139	/* modified page list high limit */
#define SYI$_MPW_LOLIMIT	4140	/* modified page list low limit */
#define SYI$_MPW_PRIO		4141	/* modified page writer i/o priority */
#define SYI$_SWP_PRIO		4142	/* swapper i/o priority */
#define SYI$_MPW_THRESH		4143	/* modified page writer lower threshold */
#define SYI$_MPW_WAITLIMIT	4144	/* modefied page writer busy wait limit */
#define SYI$_TBSKIPWSL		4145	/* max number wslist entries to skip */
#define SYI$_PHYSICALPAGES	4146	/* max number of physical pages to use */
#define SYI$_PFRATL		4147	/* page fault rate lower threshold */
#define SYI$_PFRATH		4148	/* page fault rate high threshold */
#define SYI$_PFRATS		4149	/* page fault rate system threshold */
#define SYI$_WSINC		4150	/* working set increment */
#define SYI$_WSDEC		4151	/* working set decrement */
#define SYI$_AWSMIN		4152	/* working set minimum */
#define SYI$_AWSTIME		4153	/* working set measurement interval */
#define SYI$_SWPRATE		4154	/* swap rate control (max) */
#define SYI$_SWPOUTPGCNT	4155	/* desired proc page cnt for an outswap */
#define SYI$_SWPALLOCINC	4156	/* swap file allocation increment value */
#define SYI$_IOTA		4157	/* i/o time allowance */
#define SYI$_LONGWAIT		4158	/* when hib or lef proc becomes longwait */
#define SYI$_SWPFAIL		4159	/* swap fail count */
#define SYI$_VMSD1		4160	/* reserved to vms development (dynamic) */
#define SYI$_VMSD2		4161	/* " */
#define SYI$_VMSD3		4162	/* " */
#define SYI$_VMSD4		4163	/* " */
#define SYI$_VMS5		4164	/* reserved to vms development (static) */
#define SYI$_VMS6		4165	/* " */
#define SYI$_VMS7		4166	/* " */
#define SYI$_VMS8		4167	/* " */
#define SYI$_USERD1		4168	/* reserved for users (dynamic) */
#define SYI$_USERD2		4169	/* " */
#define SYI$_USER3		4170	/* reserved for users (static) */
#define SYI$_USER4		4171	/* " */
#define SYI$_EXTRACPU		4172	/* extra cpu time allowed on expiration */
#define SYI$_MAXSYSGROUP	4173	/* max group code for system uic */
#define SYI$_MVTIMEOUT		4174	/* timeout for mount verification */
#define SYI$_MAXBUF		4175	/* maximum allowable buffered i/o size */
#define SYI$_DEFMBXBUFQUO	4176	/* def buffer quota for mailbox creation */
#define SYI$_DEFMBXMXMSG	4177	/* def max msg size for mailbox creation */
#define SYI$_DEFMBXNUMMSG	4178	/* def number of messages for " */
#define SYI$_FREELIM		4179	/* desired free list length */
#define SYI$_FREEGOAL		4180	/* target free list length */
#define SYI$_GROWLIM		4181	/* free > growlim to grow proc > wsquota */
#define SYI$_BORROWLIM		4182	/* same as above??? */
#define SYI$_LOCKRETRY		4183	/* multi-cpu lock retry count */
#define SYI$_XFMAXRATE		4184	/* max dr32 data rate */
#define SYI$_LAMAPREGS		4185	/* number of uba map regs for lpa11 */
#define SYI$_REALTIME_SPTS	4186	/* spt entries for coninterr processes */
#define SYI$_CLISYMTBL		4187	/* number of pages for cli symbol table */
#define SYI$_LOCKIDTBL		4188	/* size of lock id table */
#define SYI$_RESHASHTBL		4189	/* size of resource hash table */
#define SYI$_DEADLOCK_WAIT	4190	/* deadlock detection timeout period */
#define SYI$_SCSBUFFCNT		4191	/* scs buffer descriptor table entries */
#define SYI$_SCSCONNCNT		4192	/* scs connect descriptor table entries */
#define SYI$_SCSRESPCNT		4193	/* scs response descriptor table entries */
#define SYI$_SCSMAXDG		4194	/* scs maximum datagram size */
#define SYI$_SCSMAXMSG		4195	/* scs max sequenced message size */
#define SYI$_SCSFLOWCUSH	4196	/* scs flow control cushion */
#define SYI$_SCSSYSTEMID	4197	/* scs system id (48 bits) */
#define SYI$_SCSSYSTEMIDH	4198	/* high bits of above */
#define SYI$_SCSNODE		4199	/* scs system node name */
/*
 Used to be SCSNODEH. Unused for now.
*/
#define SYI$_PRCPOLINTERVAL	4201	/* sca process polling interval */
#define SYI$_PASTIMOUT		4202	/* ci port start/stack timeout */
#define SYI$_PASTDGBUF		4203	/* ci port dg buffers for start handshake */
#define SYI$_PANUMPOLL		4204	/* number of ci ports to poll */
#define SYI$_PAPOLLINTERVAL	4205	/* time between ci port polls */
#define SYI$_PAPOOLINTERVAL	4206	/* time between sysaps pool check */
#define SYI$_TIMEPROMPTWAIT	4207	/* time prompt timeout (when booting) */
#define SYI$_UDABURSTRATE	4208	/* max number of longwords per npr - 1 */
#define SYI$_LNMSHASHTBL	4209	/* size of system space log name hash table */
#define SYI$_LNMPHASHTBL	4210	/* size of process space " */
#define SYI$_TTY_SCANDELTA	4211	/* delta time for dialup timer scan */
#define SYI$_TTY_DIALTYPE	4212	/* flags for dialup type */
#define SYI$_TTY_SPEED		4213	/* terminal default: speed */
#define SYI$_TTY_RSPEED		4214	/* " " receive speed */
#define SYI$_TTY_PARITY		4215	/* " " parity */
#define SYI$_TTY_BUF		4216	/* " " line width */
#define SYI$_TTY_DEFCHAR	4217	/* " " characteristics */
#define SYI$_TTY_DEFCHAR2	4218	/* " " characteristics, 2nd longword */
#define SYI$_TTY_TYPAHDSZ	4219	/* size of typeahead buffer */
#define SYI$_TTY_ALTYPAHD	4220	/* alternate typeahead size */
#define SYI$_TTY_ALTALARM	4221	/* alt typeahead alarm size */
#define SYI$_TTY_DMASIZE	4222	/* dma size */
#define SYI$_TTY_PROT		4223	/* default terminal alloc protection */
#define SYI$_TTY_OWNER		4224	/* default terminal owner */
#define SYI$_TTY_CLASSNAME	4225	/* default terminal class name prefix */
#define SYI$_TTY_SILOTIME	4226	/* default silo timeout for dmf32 */
#define SYI$_TTY_DEFPORT	4227	/* default port action parameter */
#define SYI$_RMS_DFMBC		4228	/* rms default: multi-block count */
#define SYI$_RMS_DFMBFSDK	4229	/* " " multi-buffer count for disk (seq) */
#define SYI$_RMS_DFMBFSMT	4230	/* " " multi-buffer count for tape */
#define SYI$_RMS_DFMBFSUR	4231	/* " " multi-buffer count for unit record */
#define SYI$_RMS_DFMBFREL	4232	/* " " multi-buffer count for rel files */
#define SYI$_RMS_DFMBFIDX	4233	/* " " multi-buffer count for isam files */
#define SYI$_RMS_DFMBFHSH	4234	/* " " multi-buffer count for hash files */
#define SYI$_RMS_PROLOGUE	4235	/* " " prolog */
#define SYI$_RMS_EXTEND_SIZE	4236	/* " " file extend quantity */
#define SYI$_RMS_FILEPROT	4237	/* " " file protection */
#define SYI$_PQL_DASTLM		4238	/* def ast limit */
#define SYI$_PQL_MASTLM		4239	/* min " */
#define SYI$_PQL_DBIOLM		4240	/* def buffered i/o limit */
#define SYI$_PQL_MBIOLM		4241	/* min " */
#define SYI$_PQL_DBYTLM		4242	/* def buffered i/o byte count limit */
#define SYI$_PQL_MBYTLM		4243	/* min " */
#define SYI$_PQL_DCPULM		4244	/* def cpu time limit */
#define SYI$_PQL_MCPULM		4245	/* min " */
#define SYI$_PQL_DDIOLM		4246	/* def direct i/o limit */
#define SYI$_PQL_MDIOLM		4247	/* min " */
#define SYI$_PQL_DFILLM		4248	/* def open file limit */
#define SYI$_PQL_MFILLM		4249	/* min " */
#define SYI$_PQL_DPGFLQUOTA	4250	/* def paging file quota */
#define SYI$_PQL_MPGFLQUOTA	4251	/* min " */
#define SYI$_PQL_DPRCLM		4252	/* def sub-process limit */
#define SYI$_PQL_MPRCLM		4253	/* min " */
#define SYI$_PQL_DTQELM		4254	/* def timer queue entry limit */
#define SYI$_PQL_MTQELM		4255	/* min " */
#define SYI$_PQL_DWSDEFAULT	4256	/* def working set default size */
#define SYI$_PQL_MWSDEFAULT	4257	/* min " */
#define SYI$_PQL_DWSQUOTA	4258	/* def working set quota */
#define SYI$_PQL_MWSQUOTA	4259	/* min " */
#define SYI$_PQL_DWSEXTENT	4260	/* def working set extent */
#define SYI$_PQL_MWSEXTENT	4261	/* min " */
#define SYI$_PQL_DENQLM		4262	/* def enqueue limit */
#define SYI$_PQL_MENQLM		4263	/* min " */
#define SYI$_ACP_MAPCACHE	4264	/* number of blocks in bitmap cache */
#define SYI$_ACP_HDRCACHE	4265	/* number of blocks in file header cache */
#define SYI$_ACP_DIRCACHE	4266	/* number of blocks in directory cache */
#define SYI$_ACP_WORKSET	4267	/* acp working set */
#define SYI$_ACP_FIDCACHE	4268	/* number of cached index file slots */
#define SYI$_ACP_EXTCACHE	4269	/* number of cached disk extents */
#define SYI$_ACP_EXTLIMIT	4270	/* max fraction of disk to cache */
#define SYI$_ACP_QUOCACHE	4271	/* number of file quota entries to cache */
#define SYI$_ACP_SYSACC		4272	/* default access for system volumes */
#define SYI$_ACP_MAXREAD	4273	/* max number of direct blks to read */
#define SYI$_ACP_WINDOW		4274	/* default window size for system volumes */
#define SYI$_ACP_WRITEBACK	4275	/* deferred cache writeback enable */
#define SYI$_ACP_DATACHECK	4276	/* acp datacheck enable flags */
#define SYI$_ACP_BASEPRIO	4277	/* acp base priority */
#define SYI$_ACP_SWAPFLGS	4278	/* acp swap flags */
#define SYI$_DEFPRI		4279	/* default priority for job initiations */
#define SYI$_IJOBLIM		4280	/* limit for interactive jobs */
#define SYI$_BJOBLIM		4281	/* limit for batch jobs */
#define SYI$_NJOBLIM		4282	/* limit for network jobs */
#define SYI$_RJOBLIM		4283	/* limit for remote terminal jobs */
#define SYI$_QUORUM		4284	/* connection manager cluster quorum */
#define SYI$_VOTES		4285	/* connection manager votes from this system */
#define SYI$_RECNXINTERVAL	4286	/* connection manager reconnect interval */
#define SYI$_BOOTTIME		4287	/* 64-bit abs. system time at system boot */
#define SYI$_LOCKIDTBL_MAX	4288	/* maximum size of lock id table. */
#define SYI$_TAILORED		4289	/* is this system tailored? */
#define SYI$_STARTUP_P1		4290	/* parameters for passing information */
#define SYI$_STARTUP_P2		4291	/* to system startup procedure. */
#define SYI$_STARTUP_P3		4292
#define SYI$_STARTUP_P4		4293
#define SYI$_STARTUP_P5		4294
#define SYI$_STARTUP_P6		4295
#define SYI$_STARTUP_P7		4296
#define SYI$_STARTUP_P8		4297
#define SYI$_CLUSTER_NODES	4298	/* total number of nodes in cluster */
#define SYI$_CLUSTER_VOTES	4299	/* "     "     "  votes "   " */
#define SYI$_CLUSTER_QUORUM	4300	/* "     quorum in cluster */
#define SYI$_CLUSTER_FSYSID	4301	/* founding systemid */
#define SYI$_CLUSTER_FTIME	4302	/* founding boottime */
#define SYI$_CLUSTER_MEMBER	4303	/* true if in a live cluster */
#define SYI$_NODE_CSID		4304	/* cluster system id of target node */
#define SYI$_NODE_VOTES		4305	/* votes of target node */
#define SYI$_NODE_QUORUM	4306	/* quorum of "      " */
#define SYI$_NODE_SYSTEMID	4307	/* systemid of "    " */
#define SYI$_NODE_SWINCARN	4308	/* s/w incarnation of "     " */
#define SYI$_NODE_SWTYPE	4309	/* s/w type of  "     " */
#define SYI$_NODE_SWVERS	4310	/* s/w version of "   " */
#define SYI$_NODE_HWTYPE	4311	/* h/w type of    "   " */
#define SYI$_NODE_HWVERS	4312	/* h/w version of "   " */
#define SYI$_NODENAME		4313	/* scs nodename of "    " */
#define SYI$_ARCHFLAG		4314	/* flags used by uvax code */
#define SYI$_SCS_EXISTS		4315	/* flag to indicate presence of scs */
#define SYI$_DISK_QUORUM	4316	/* cluster quorum device name (in ascii) */
#define SYI$_XSID		4317	/* extended system identification register */
/*
 Used to be DISK_QUORUM3. Unused for now.
 Used to be DISK_QUORUM4. Unused for now.
*/
#define SYI$_PAMAXPORT		4320	/* max pa port to poll */
#define SYI$_PASANITY		4321	/* pa sanity timer enable/disable switch */
#define SYI$_DEFQUEPRI		4322	/* default que priority */
#define SYI$_MAXQUEPRI		4323	/* max que priority */
#define SYI$_QDSKINTERVAL	4324	/* disk quorum interval */
#define SYI$_ALLOCLASS		4325	/* allocation class */
#define SYI$_LGI_RETRY_LIM	4326	/* login retry limit */
#define SYI$_LGI_RETRY_TMO	4327	/* login retry timeout */
#define SYI$_LGI_BRK_LIM	4328	/* login failure limit */
#define SYI$_LGI_BRK_TMO	4329	/* login suspect timeout */
#define SYI$_LGI_HID_TIM	4330	/* login evasive action time */
#define SYI$_LGI_PWD_TMO	4331	/* system password drop dead time */
#define SYI$_PQL_DJTQUOTA	4332	/* default job-wide logical name table creation quota */
#define SYI$_PQL_MJTQUOTA	4333	/* minimum job-wide logical name table creation quota */
#define SYI$_VAXCLUSTER		4334	/* vaxcluster participation */
#define SYI$_LOCKDIRWT		4335	/* lock manager directory system weight */
#define SYI$_QDSKVOTES		4336	/* votes held by quorum disk */
#define SYI$_DORMANTWAIT	4337	/* when low pri com proc becomes dormant */
#define SYI$_PAGEFILE_PAGE	4338	/* total pagefile pages */
#define SYI$_SWAPFILE_PAGE	4339	/* total swapfile pages */
#define SYI$_PAGEFILE_FREE	4340	/* free pagefile pages */
#define SYI$_SWAPFILE_FREE	4341	/* free swapfile pages */
#define SYI$_TTY_TIMEOUT	4342	/* seconds for virtual terminal timeout */
#define SYI$_TTY_AUTOCHAR	4343	/* autobaud recognition character */
#define SYI$_PANOPOLL		4344	/* disable/enable ci port polling */
#define SYI$_PE1		4345	/* reserved to pedriver (dynamic) */
#define SYI$_PE2		4346	/* " */
#define SYI$_PE3		4347	/* " */
#define SYI$_PE4		4348	/* " */
#define SYI$_PE5		4349	/* reserved to pedriver (static) */
#define SYI$_PE6		4350	/* " */
#define SYI$_RMS_GBLBUFQUO	4351	/* rms global buffer quota */
#define SYI$_RMS_DFNBC		4352	/* " " network block count */
#define SYI$_ACP_DINDXCACHE	4353	/* file system directory index cache blocks */
#define SYI$_MAXATTACHPRI	4354	/* maximum scheduling prio for asmp attached processor */

#define SYI$_LASTEXE		4355	/* last index */

#define SYI$_CPU		8192	/* cpu type */
#define SYI$_BUGREBOOT		8193	/* bugcheck reboot enable */
#define SYI$_CRDENABLE		8194	/* memory error checking enable */
#define SYI$_DUMPBUG		8195	/* bugcheck dump enable */
#define SYI$_BUGCHECKFATAL	8196	/* all bugchecks become fatal */
#define SYI$_ACP_MULTIPLE	8197	/* new acp for each disk class */
#define SYI$_NOAUTOCONFIG	8198	/* auto configuration inhibit */
#define SYI$_NOCLOCK		8199	/* interval timer inhibit */
#define SYI$_NOCLUSTER		8200	/* page read clustering inhibit */
#define SYI$_POOLPAGING		8201	/* enable paging of paged pool */
#define SYI$_SBIERRENABLE	8202	/* sbi error detection enable */
#define SYI$_SETTIME		8203	/* force entry of time at system boot */
#define SYI$_ACP_SHARE		8204	/* enable sharing of f11acp */
#define SYI$_SYSPAGING		8205	/* enable paging of system code */
#define SYI$_UAFALTERNATE	8206	/* select alternate authorization file */
#define SYI$_WRITABLESYS	8207	/* leave system writable for debugging */
#define SYI$_RESALLOC		8208	/* enable resource allocation checking */
#define SYI$_SSINHIBIT		8209	/* inhibit system services for processes */
#define SYI$_CONCEAL_DEVICES	8210	/* enable concealed devices */
#define SYI$_SAVEDUMP		8211	/* save dump if it's in page file */
#define SYI$_MOUNTMSG		8212	/* enable oper notification of vol mounts */
#define SYI$_DISMOUMSG		8213	/* enable oper notification of vol dism */
#define SYI$_LOADERAPT		8214	/* load alt erase pattern generator */
#define SYI$_LOADCHKPRT		8215	/* load alt protection check routine */
#define SYI$_XCPU		8216	/* cpu subtype (extended sid info) */
#define SYI$_CJFLOAD		8217	/* load common journaling code */
#define SYI$_CJFSYSRUJ		8218	/* load recovery unit journaling code */
#define SYI$_NODE_AREA		8219	/* system id node area */
#define SYI$_NODE_NUMBER	8220	/* system id node number */
#define SYI$_CLASS_PROT		8221	/* non-discretionary check flag */
#define SYI$_CHARACTER_EMULATED	8222	/* character string instructions emulated */
#define SYI$_DECIMAL_EMULATED	8223	/* decimal string instructions emulated */
#define SYI$_D_FLOAT_EMULATED	8224	/* d floating instructions emulated */
#define SYI$_F_FLOAT_EMULATED	8225	/* f floating instructions emulated */
#define SYI$_G_FLOAT_EMULATED	8226	/* g floating instructions emulated */
#define SYI$_H_FLOAT_EMULATED	8227	/* h floating instructions emulated */
#define SYI$_LOADMTACCESS	8228	/* load installation specific access routine */
#define SYI$_ACP_XQP_RES	8229	/* resident xqp */
#define SYI$_WRITESYSPARAMS	8230	/* write active parameters to the system .par file */
#define SYI$_LGI_BRK_TERM	8231	/* use term name in breakin detection */
#define SYI$_LGI_BRK_DISUSER	8232	/* disable user account on breakin */
#define SYI$_ACP_REBLDSYSD	8233	/* rebuild system disk when mounting it */
#define SYI$_WS_OPA0		8234	/* workstation using qvss for opa0 */

#define SYI$_LASTFLD		8235	/* last index */

#define SYI$C_SFWTYPE		1	/* system software item */
#define SYI$C_HDWTYPE		2	/* hardware item */
#define SYI$C_LISTEND		0	/* itmlst terminator */
/*
 IDENTIFIER FOR SYSTEM SOFTWARE
*/
#define SYI$_OLDVERSION		256	/* vms version number */
#define SYI$_LASTSFW		257	/* last index */

#define SYI$_OLDCPU		512	/* cpu type */
#define SYI$_OLDSID		513	/* system id register */
#define SYI$_LASTHDW		514	/* last index */
 
