/*+ $SHRDEF
  SYS$LIBRARY:LCLCDEF($SHRDEF) defines symbols for shared message
  codes.
 
 These message codes should not be used directly by a facility since
 they do not contain a subsystem (facility) identifier or a severity
 code.  Use the following formula to calculate actual facility
 message codes:
 
      facility-message-code  common-message-code +
                             facility-id * 65536 +
                             severity-code

 This is implemented by the $SHR_MSGDEF macro which is called by:

      $SHR_MSGDEF(facility_code, message_code, severity_code)

 where the message_code is one of those given by SHR$_...
-*/
/* Extracted $SHRDEF from SYS$LIBRARY:STARLET on 17-APR-1983 */

#define  SHR$_ABEND      0X10D8	/* !AS aborted */
#define  SHR$_ABENDD     0X10E0	/* !AS aborted at !%D */
#define  SHR$_ABENDT     0X10E8	/* !AS aborted at !%T */
#define  SHR$_ACTIMAGE   0X12B8	/* error activating image !AS */
#define  SHR$_APPENDEDB  0X1000	/* !AS appended to !AS (!UL block!%S) */
#define  SHR$_APPENDEDR  0X1008	/* !AS appended to !AS (!UL record!%S) */
#define  SHR$_ATPC       0X1158	/* at PC !XL */
#define  SHR$_BADBYTE    0X1010	/* invalid data (!XB) at !XL */
#define  SHR$_BADCOPIES  0X1160	/* '!AS' is an invalid number of copies */
#define  SHR$_BADDELIM   0X1118	/* invalid delimited following '!AS' */
#define  SHR$_BADFIELD   0X1018	/* !AS field invalid at !XL */
#define  SHR$_BADFORM    0X1168	/* '!AS' is an invalid form type */
#define  SHR$_BADJOBID   0X1170	/* '!AS' is an invalid job identifier */
#define  SHR$_BADJOBNAME 0X1178	/* '!AS' is an invalid job name */
#define  SHR$_BADKEY     0X1108	/* '!AS' is an invalid keyword */
#define  SHR$_BADLOGIC   0X1120	/* internal logic error detected */
#define  SHR$_BADLOGICPC 0X1150	/* internal logic error detected at PC !XL */
#define  SHR$_BADLONG    0X1020	/* invalid data (!XL) at !XL */
#define  SHR$_BADPRTY    0X1180	/* '!AS' is an invalid priority */
#define  SHR$_BADQNAME   0X1188	/* '!AS' is an invalid queue name */
#define  SHR$_BADTIME    0X1190	/* '!AS' is an invalid time specification */
#define  SHR$_BADVALUE   0X1110	/* '!AS' is an invalid keyword value */
#define  SHR$_BADWORD    0X1028	/* invalid data (!XW) at !XL */
#define  SHR$_BEGIN      0X1030	/* !AS beginning */
#define  SHR$_BEGIND     0X1038	/* !AS beginning at !%D */
#define  SHR$_BEGINT     0X1040	/* !AS beginning at !%T */
#define  SHR$_CBT        0X1288	/* insufficient contiguous space, file */
				/*  copied non-contiguously */
#define  SHR$_CLICB      0X1048	/* CLI control block at !XL */
#define  SHR$_CLOSEDEL   0X1218	/* error closing !AS */
#define  SHR$_CLOSEIN    0X1050	/* error closing !AS as input */
#define  SHR$_CLOSEOUT   0X1058	/* error closing !AS as output */
#define  SHR$_CONFDEL    0X11F8	/* !/!AS, delete? (Y or N): */
#define  SHR$_CONFQUAL   0X12E0	/* conflicting qualifiers */
#define  SHR$_COPIEDB    0X1060	/* !AS copied to !AS (!UL block!%S) */
#define  SHR$_COPIEDR    0X1068	/* !AS copied to !AS (!UL record!%S) */
#define  SHR$_CREATED    0X1070	/* !AS created */
#define  SHR$_CREATEDSTM 0X12F8	/* !AS has been created in stream format */
#define  SHR$_DELETED    0X1200	/* !AS deleted */
#define  SHR$_DELINTERR  0X1240	/* internal error in DELETE/PURGE utility */
#define  SHR$_DELVER     0X1208	/* explicit version number or wild card */
				/*  required */
#define  SHR$_DIRNOTCRE  0X12C0	/* !AS directory file not created */
#define  SHR$_DIRTOOBUS  0X1220	/* directory is presently too active to */
				/*  be purged */
#define  SHR$_ENDABORT   0X1258	/* !AS compilation aborted */
#define  SHR$_ENDDIAGS   0X1260	/* !AS completed with !UL diagnostic!%S */
#define  SHR$_ENDED      0X1078	/* !AS ended */
#define  SHR$_ENDEDD     0X1080	/* !AS ended at !%D */
#define  SHR$_ENDEDT     0X1088	/* !AS ended at !%T */
#define  SHR$_ENDNOOBJ   0X1268	/* !AS completed with !UL diagnostic!%S */
				/*  - object deleted */
#define  SHR$_EXISTS     0X1290	/* !AS already exists */
#define  SHR$_FACILITY   0X00	/*  */
#define  SHR$_FILNOTDEL  0X11F0	/* error deleting !AS */
#define  SHR$_FILNOTPUR  0X1230	/* error deleting !AS */
#define  SHR$_FILPURGED  0X1250	/* !AS deleted */
#define  SHR$_HALTED     0X1270	/* transfer has been halted */
#define  SHR$_HASHCONCAT 0X11D8	/* hashed file cannot be concatenated */
#define  SHR$_HIGHVER    0X1148	/* higher version of !AS already exists */
#define  SHR$_IDXCONCAT  0X1138	/* indexed file cannot be concatenated */
#define  SHR$_ILLDESQUE  0X12D0	/* illegal destination queue name !AS */
#define  SHR$_ILLDIRCOPY 0X12E8	/* illegal directory copy of !AS attempted */
#define  SHR$_INCOMPAT   0X11E0	/* !AS (input) and !AS (output) have */
				/*  incompatible attributes */
#define  SHR$_INSVIRMEM  0X12F0	/* insufficient virtual memory */
#define  SHR$_NEWFILES   0X1090	/* !UL file!%S created */
#define  SHR$_NOCMDMEM   0X1278	/* no command memory has been allocated */
#define  SHR$_NODESTQUE  0X12C8	/* no such destination queue !AS */
#define  SHR$_NOFILPURG  0X1228	/* no files purged for !AS */
#define  SHR$_NOJOBID    0X11A0	/* job !UW not found in !AS queue */
#define  SHR$_NOJOBNAME  0X11A8	/* job !AS not found in !AS queue */
#define  SHR$_NOQUEUE    0X1198	/* !AS queue does not exist */
#define  SHR$_NOTCMPLT   0X11C0	/* !AS not completely copied */
#define  SHR$_NOTCOPIED  0X11B8	/* !AS not copied */
#define  SHR$_NOTLOCKED  0X12B0	/* !AS was not locked */
#define  SHR$_NOTRUNC    0X1300	/* truncation not allowed for this file */
				/*  organization */
#define  SHR$_NOTTERM    0X12D8	/* input device is not a terminal */
#define  SHR$_NOVALUE    0X1100	/* '!AS' keyword requires a value */
#define  SHR$_NOWILD     0X1128	/* no wildcard permitted */
#define  SHR$_OPENIN     0X1098	/* error opening !AS as input */
#define  SHR$_OPENOUT    0X10A0	/* error opening !AS as output */
#define  SHR$_OVERLAY    0X10A8	/* !AS being overwritten */
#define  SHR$_PARSEFAIL  0X1248	/* error parsing !AS */
#define  SHR$_PROTECTED  0X12A8	/* protection on !AS changed to !AS */
#define  SHR$_PURGEVER   0X1210	/* version numbers not permitted */
#define  SHR$_QEMPTY     0X1280	/* queue empty */
#define  SHR$_READERR    0X10B0	/* error reading !AS */
#define  SHR$_RELCONCAT  0X1140	/* relative file cannot be concatenated */
#define  SHR$_RENAMED    0X12A0	/* !AS renamed to !AS */
#define  SHR$_REPLACED   0X10B8	/* !AS being replaced */
#define  SHR$_RMSERROR   0X11C8	/* RMS service error */
#define  SHR$_SEARCHFAIL 0X1238	/* error searching for !AS */
#define  SHR$_SYNTAX     0X10F8	/* error parsing '!AS' */
#define  SHR$_SYSERROR   0X11B0	/* system service error */
#define  SHR$_SYSERRORPC 0X10F0	/* !AS system service error at PC !XL */
#define  SHR$_TEXT       0X1130	/* !AS */
#define  SHR$_UNLOCKED   0X1298	/* !AS unlocked */
#define  SHR$_UNXPCTSTS  0X11D0	/* unexpected status detected.  Expected */
				/*  '!AS'. Found: */
#define  SHR$_VALERR     0X11E8	/* specified value is out of legal range */
#define  SHR$_WILDCONCAT 0X10C0	/* wilcard specification cannot be */
				/*  concatenated */
#define  SHR$_WILDOUTVER 0X10C8	/* wildcard version required for output */
				/*  file */
#define  SHR$_WRITEERR   0X10D0	/* error writing !AS */

#define  $SHR_MSGDEF(fac,msg,sev) ( ((fac)<<16) + (msg) + (sev) )

/*
  End of $SHRDEF module.
*/
