      function		MARKTOOL (TOOL_NAME, FILE_NAME, DATE_FLAG, 
	1	LOG_FLAG)
      implicit		none
      integer		MARKTOOL	! Function value is status
      character		TOOL_NAME*(*)	! Tool name to be marked
      character		FILE_NAME*(*)	! Tool use log file name
      logical		DATE_FLAG	! Flag indicating /DATE qualifier
      logical		LOG_FLAG	! Flag indicating /LOG qualifier
      integer		GET_JPI		! Interface to SYS$GETJPI service
      integer		LIB$DATE_TIME	! RTL routine to get date and time
      integer		STR$TRIM	! Trim string

      integer		CONDVAL		! FORTRAN I/O status return
      character		CURRENT_DATE*11	! Current date - DD-MMM-YYYY
      character		CURRENT_TIME*11	! Current time - HH:MM:SS:CC
      integer		DATE_BREAK	! Index of blank between date and time
      character		DATE_TIME*23	! temporary to hold date and time
      integer		FNUM		! Dummies for call to ERRSNS
      integer		IUNIT		! "
      integer		RMSSTS		! "
      integer		RMSSTV		! "
      integer		STATUS		! Status from system calls
      character		TEMP_STR*255	! Temporary string buffer
      integer		TOOL_NAME_LEN	! Length of Tool Name string
      character		USERNAME*12	! User name from SYS$GETJPI

      external		JPI$_USERNAME	! Code for SYS$GETJPI request
      external		MKT__NOLOGFILE	! "No log file" condition
      external		MKT__TOOLMKTD	! "Tool marked w/ time and date"
      external		MKT__TOOLMRKD	! "Tool marked" condition
      external		STR$_TRU	! "String truncated" condition

      parameter		LOG_FILE = 1	! Unit number of log file
C
C	Check Date flag to see if current date and time are to be placed in 
C	the log file.
C
      if (.not. DATE_FLAG) then
	 CURRENT_DATE = ' '
	 CURRENT_TIME = ' '
      else
	 STATUS = LIB$DATE_TIME (DATE_TIME)
	 DATE_BREAK = 1 + INDEX(DATE_TIME(2:), ' ')
	 CURRENT_DATE = DATE_TIME(:DATE_BREAK)
	 CURRENT_TIME = DATE_TIME(DATE_BREAK+1:)
      endif      
C
C	Get user name from SYS$GETJPI service.
C
      STATUS = GET_JPI(,,%LOC(JPI$_USERNAME),USERNAME,)
      call VERIFY_STATUS (STATUS)
C
C	Open the log file.
C
      open (unit = LOG_FILE, file = FILE_NAME, carriagecontrol='LIST',
	1	shared, status = 'OLD', access = 'APPEND', err = 991)
C
C	Mark tool use with current date and time, tool name, and user name.
C
      write (unit = LOG_FILE, fmt = 100, err = 992), CURRENT_DATE,
	1	CURRENT_TIME, TOOL_NAME, USERNAME
C
C	Close the log file.
C
      close (unit = LOG_FILE, disp = 'KEEP')
C
C	Check the Log flag and log the tool marking if requested.
C
      if (LOG_FLAG) then
	 call STR$TRIM (TEMP_STR, TOOL_NAME, TOOL_NAME_LEN)
	 if (DATE_FLAG) then
	    call LIB$SIGNAL (MKT__TOOLMKTD, %val(3),
	1	TOOL_NAME(:TOOL_NAME_LEN), CURRENT_DATE, CURRENT_TIME)
	 else
	    call LIB$SIGNAL (MKT__TOOLMRKD, %val(1),
	1	TOOL_NAME(:TOOL_NAME_LEN))
	 endif
      endif
C
C	Return successful status code.
C
      MARKTOOL = 1
      return
C
C	Format for tool marking (taken from MARKTOOL.COM).
C
100	format (A, X, A, X, A12, X, A12)
C
C	Execution continues here on Log file OPEN error.
C	Signal the error condition and return.
C
991	continue
      MARKTOOL = %loc(MKT__NOLOGFILE)
      return
C
C	Execution continues here on Log file WRITE error.
C	Obtain the condition value and return.
C
992	continue
      call ERRSNS (FNUM, RMSSTS, RMSSTV, IUNIT, CONDVAL)
      MARKTOOL = CONDVAL
      return

      end
