      integer function add_element_to_display( new_element, ldb,
     +		display,	! the user supplied parameter
     +		element_id, generation_id, user_name_id,
     +		trans_time, create_time, revision_time, remark_id,
     +		class_list_id, format, attributes, revision_number,
     +		reservations )

      implicit	none
cc
cc Purpose:	This is a callback/output routine for CMS$SHOW_GENERATION.
cc		It serves two types of display:
cc			1) a "menu" of CMS elements
cc			2) a "zoom" of element characteristics
cc
      include	'cmsdef.fin'
      include	'smg_refs.fin'
      include	'libed.fin'
      include	'($syssrvnam)'

      integer*4	new_element
      record	/library_data_block/	ldb
      record	/display/	display
      integer*4	element_id, generation_id, user_name_id
      integer*4	trans_time(1:2), create_time(1:2), revision_time(1:2)
      integer*4	remark_id, class_list_id
      integer*4	format, attributes, revision_number, reservations

      integer*4		cms_status, smg_status, sys_status
      character*79	element_name
      character*23	trans_time_str, create_time_str, revision_time_str
      integer*4		name_length
      parameter		tab = 18
      character*255	string
      integer*4		i

      integer*4	chklen
      external	chklen

      cms_status = cms$get_string( element_id, element_name )

      name_length = chklen( element_name )

cc if we're using the SHOW_GENERATION to display the list of elements 
cc that match.
      if (display.type .eq. disp_files) then
cc   see if the new element name will fit on the line.
         if (name_length+1 .gt. (display.width - display.column)) then
            display.column = 1
            display.line = display.line + 1
            if (display.line .gt. display.height) then
               display.height = display.height + 1
               smg_status = smg$change_virtual_display( display.id,
     +				display.height, display.width )
            endif
         endif

cc   put the element name on the line in the specified virtual display.
         smg_status = smg$put_chars( display.id, element_name(1:name_length),
     +				  display.line, display.column )

         display.column = display.column + 
     .	max(tab, tab*(name_length/tab) + tab*min(1,mod(name_length+1,tab)))

cc
cc Otherwise, we're using the SHOW_GENERATION to zoom in on the element.
       else if (display.type .eq. disp_zoom) then
         string = ' '

cc   show the "real" generation of the element.
         cms_status = cms$get_string( generation_id, string )
         string = 'Generation: '//string
         smg_status = smg$put_line( display.id, string )

cc   show the username of the person who created the element.
         cms_status = cms$get_string( user_name_id, string )
         string = 'Created by: '//string
         smg_status = smg$put_line( display.id, string )

cc   display the time that the element was placed in the library, and the
cc   source file's creation time.
         sys_status = sys$asctim( , trans_time_str, trans_time, )
         sys_status = sys$asctim( , create_time_str, create_time, )

         string = 'Placed in library: '//trans_time_str
         smg_status = smg$put_line( display.id, string )

         string = 'File created:      '//create_time_str
         smg_status = smg$put_line( display.id, string )

cc   display the generation's remark, if any.
         cms_status = cms$get_string( remark_id, string )
         if (chklen(string) .gt. 0) then
            string = 'Remark: '//string
            smg_status = smg$put_line( display.id, 
     +				    string(1:chklen(string)), ,,, 1 )
         endif

cc   display the classes the generation belongs to, if any (up to 255 chars).
         cms_status = cms$get_string( class_list_id, string )
         if (chklen(string) .gt. 0) then
            string = 'In Class(es): '//string
            smg_status = smg$put_line( display.id, 
     +				    string(1:chklen(string)), ,,, 1 )
         endif

cc   indicate if the element is on reserve.
         if (reservations) then
            string = 'Element is Reserved'
            smg_status = smg$put_line( display.id, string )
         endif

      endif

cc
cc return a good status to CMS.  (gee, it just had to work, right?)
      add_element_to_display = %loc(cms$_normal)

      end
